Page MenuHomePhabricator

Rename JADE->Jade in beta cluster configuration
Closed, ResolvedPublic

Description

Fix deprecated extension name in config files, rename to "Jade".

This task is complete when the "Jade" repo is the source of truth used in the beta cluster.

Event Timeline

Change 480284 had a related patch set uploaded (by Awight; owner: Awight):
[operations/mediawiki-config@master] [DNM] Rename JADE to Jade

https://gerrit.wikimedia.org/r/480284

Change 480285 had a related patch set uploaded (by Awight; owner: Awight):
[integration/config@master] [DNM] Rename JADE to Jade

https://gerrit.wikimedia.org/r/480285

awight removed a subscriber: awight.Mar 21 2019, 4:05 PM
Harej assigned this task to Ladsgroup.Apr 19 2019, 2:06 AM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptApr 19 2019, 2:06 AM
Harej triaged this task as High priority.Apr 19 2019, 2:09 AM
Harej updated the task description. (Show Details)Apr 19 2019, 2:20 AM

This needs to be branched out:

ladsgroup@deploy1001:/srv/mediawiki-staging/php-1.34.0-wmf.1/extensions$ ls | grep -i jade
JADE

Change 506935 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/core@wmf/1.34.0-wmf.1] Add Jade extension submodule

https://gerrit.wikimedia.org/r/506935

The only way I see forward here is to branch both extensions for a while, deploy the gerrit change (https://gerrit.wikimedia.org/r/480284) and then undeploy JADE. Do you think it's doable @hashar @thcipriani?

Change 506935 abandoned by Ladsgroup:
Add Jade extension submodule

Reason:
Not needed, the releases tool will handle it.

https://gerrit.wikimedia.org/r/506935

Change 508643 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/tools/release@master] Rename JADE to Jade

https://gerrit.wikimedia.org/r/508643

Change 508643 merged by jenkins-bot:
[mediawiki/tools/release@master] Rename JADE to Jade

https://gerrit.wikimedia.org/r/508643

Mentioned in SAL (#wikimedia-operations) [2019-06-04T15:55:01Z] <reedy@deploy1001> Synchronized wmf-config/extension-list: JADE - T212182 (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2019-06-04T15:56:34Z] <reedy@deploy1001> Synchronized wmf-config/CommonSettings.php: JADE - T212182 (duration: 00m 53s)

Reedy closed this task as Resolved.Jun 4 2019, 3:56 PM
Reedy added a subscriber: Reedy.

Done

Change 480284 abandoned by Jforrester:
[DNM] Rename JADE to Jade

Reason:
Done in other commits.

https://gerrit.wikimedia.org/r/480284